Create a breadcrumb component
Patrick mentioned multiple breadcrumb implementations[0] in the widget unity thread -- I'm not that familiar with them, and if one of the implementations is reusable, or if they need to follow similar  as the  views (I hope we don't have performance issues with breadcrumbs!)

[0] 
